Forum:NX
Thema:polyline in NX
Möchten Sie sich registrieren?
Wer darf antworten? Registrierte Benutzer können Beiträge verfassen.
Hinweise zur Registrierung Sie müssen registriert sein, um Beiträge oder Antworten auf Beiträge schreiben zu können.
Ihr Benutzername:
Ihr Kennwort:   Kennwort vergessen?
Anhang:    Datei(en) anhängen  <?>   Anhänge bearbeiten  <?>
Grafik für den Beitrag:                                                
                                                       
Ihre Antwort:

Fachbegriff
URL
Email
Fett
Kursiv
Durchgestr.
Liste
*
Bild
Zitat
Code

*HTML ist AUS
*UBB-Code ist AN
Smilies Legende
Netiquette

10 20 40

Optionen Smilies in diesem Beitrag deaktivieren.
Signatur anfügen: die Sie bei den Voreinstellungen angegeben haben.

Wenn Sie bereits registriert sind, aber Ihr Kennwort vergessen haben, klicken Sie bitte hier.

Bitte drücken Sie nicht mehrfach auf "Antwort speichern".

*Ist HTML- und/oder UBB-Code aktiviert, dann können Sie HTML und/oder UBB Code in Ihrem Beitrag verwenden.

T H E M A     A N S E H E N
asuasura

Beiträge: 2 / 0

Hallo CAD Gurus,

ich bin neu hier im Forum    Ich hab Erfahrung mit CATIA zu konstruieren. Aber mit NX hab ich null Ahnung. Ich versuche grad eine Rohrleitung in NX zu konstruieren. Ich hab Punktwolken in Excel, die ich in NX importieren muss. Und die Punkten mit einer Polyline zu verbinden.

Meine Frage ist: in CATIA kann man die Punktwolken mit GSDPoint leicht importieren. Und polyline ist in CATIA eine Standardfunktion. Gibt's ähnliche Funktionen auch in NX??

Viele Grüße,

Meinolf Droste

Beiträge: 4303 / 5

Dell Precision T5810
XEON E5-1630, 3.70 GHz
16 GB RAM
NVIDIA Quadro K4200

TC 10.1.4
NX 10.3.5 MP6
NX 11.0.033 testing

Moin

herzlich willkommen hier im NX Forum.

Ich habe jetzt keine Ahnung was eine Polylinie in Catia ist.
Du kannst unter Datei / Importieren / Punkte aus Datei Punktewolken einlesen. Diese Punkte bilden dann im Teilenavigator eine Gruppe mit dem Namen der Datei.
Die Datei sollte eine Textdatei sein, der Dezimaltrenner muss ein Punkt sein.
Durch diese Punkte kannst du dann z. Bsp. mit der Funktion "fit curve" einen assoziativen Spline legen. Obwohl ich bezweifle das eine Rohrleitung als Spline ausgeführt werden soll.
Es gibt ein Routing Modul in NX, da kenne ich mich aber nicht mit aus.


------------------
Grüße Meinolf

Ich steh auf flotte Dreier

I know I was born and I know that I'll die but the in between is mine - Pearl Jam

Hermes

Beiträge: 294 / 0

NX10, Eplan P8
Neoapps Prüfplan
BCT 3DPool V16
SAP-PLM / ECTR 4.4
Win-7

hallo

mir ist da nur eine Umgehungslösung bekannt; in Form von .NET/C++ Beispiel

Diese Programme erzeugen eine Reihe einzelner Linien;
NX kennt keine "Polylines" im Sinne von Catia, AutoCAD, ..

http://ww3.cad.de/foren/ubb/Forum4/HTML/007935.shtml#000004

C:\Program Files\UGS\ugnx10\UGOPEN\SampleNXOpenApplications\.NET\File2Points
C:\Program Files\UGS\ugnx10\UGOPEN\SampleNXOpenApplications\C++\File2Points

C:\Program Files\UGS\ugnx10\UGOPEN\SampleNXOpenApplications\C++\File2Points\File2Points.cpp
C:\Program Files\UGS\ugnx10\UGOPEN\SampleNXOpenApplications\C++\File2Points\File2PointsCPP_Input.txt
C:\Program Files\UGS\ugnx10\UGOPEN\SampleNXOpenApplications\C++\File2Points\README.txt

Walter Hogger

Beiträge: 2985 / 0

UG V2 bis V18
NX1 bis NX11
Windows, UNIX, Linux

Hallo asuasura,

ich glaube nicht, dass du gleich eigene Programme schreiben musst, obwohl wir das oft machen, da wir dann viel flexibler sind. In der Anlage findest du eine der zahlreichen Möglichkeiten von Dateien mit Punkten nach NX zu kommen. Die Leitung (Polyline) nennt sich in NX "Spline", da geht wiederum sehr vieles. Deine Vorgaben sind da zu mager.

Du solltest unbedingt deine NX-Version in der Signatur angeben!

Gruß

------------------
Walter Hogger

Yeti

Beiträge: 1369 / 1

SW: TC 11.2.2 / NX 10.0.3 MP7 / TCVis 10.1
AutoCAD 2016 unter W7 Enterprise
ANSYS, Microstation, MegaCAD und andere Exoten...
HW: HP Z2xx / Quadro K2000

Zitat:
Original erstellt von asuasura:
...versuche grad eine Rohrleitung in NX zu konstruieren...Punktewolke...Polylinie...

Moin,

die Routingfunktion im Routing Mechanical kann zwar eine Linie (egal welchen Typs) als Basis bekommen, erzeugt aber eine eigene, intelligente "Mittellinie".
Aber -wie Meinolf schon sagte- mit Splines kann man höchstens Schläuche konstruieren, macht man aber keine Rohre...oder biegst du noch warm mit Sandfüllung?
 

------------------
Gruß aus Hamburg
 
Yeti

Planung ist die Ablösung des Nichtwissens durch den Irrtum...

[Diese Nachricht wurde von Yeti am 08. Mrz. 2017 editiert.]

mseufert

Beiträge: 2160 / 0

HP Z420
WIN XP32 / WIN7 64
UG NX6-11
SUN Ultra 60
Solaris 7
CADDS5

Hallo asuasura,

Du bist nicht der Erste, der diese Frage stellt  . Aber einer von Vielen, die die Suchfunktion nicht kennen oder gar nutzen  .

Also einfach polyline in die Suchleiste eintragen, den Button "Suchen!" betätigen und schon gibt's die gesuchten Antworten.

Eine Lösung gibt's z.B. hier.

Gruß, Michael

------------------
Ein Mensch wird laut, wenn er was will;
wenn er's erst hat, dann wird er still;
Das "Danke" ist, nach alter Sitte,
Weit seltner als das "Bitte, Bitte".

asuasura

Beiträge: 2 / 0

@alle vielen Dank für Eure nette Antworten..

@Walter Holger

Zitat:
Du solltest unbedingt deine NX-Version in der Signatur angeben!

Ich benutze das Programm NX 10.. also ziemlich aktuell.. ich meine solche Funktion wie "spline" gibt's auch bei älteren Versionen oder

@Yeti

Zitat:
oder biegst du noch warm mit Sandfüllung?

nope ich konstruiere ein einfaches Rohr.. ich versuche erstmal dann mit spline zu konstruieren.. erstmal vllt als ein Schlauch

@mseufert
vielen Dank für die Info.. werde ich mir genauer anschauen

(c)2017 CAD.de